Page MenuHomeVyOS Platform

GRE Header flags drop packet
Closed, WontfixPublic

Description

Hi,
On VyOS 1.17, when router receive a GRE packet with GRE Header with value not null, the router seems to drop the packet.

In some case, VyOS receive GRE packet with GRE Header set to 0x0020 or 0x00c0 and it doesn't treat it...

Is that a bug ? or how can I do to treat packet with flags field on GRE header not set to 0 ?

Rgds

Details

Difficulty level
Easy (less than an hour)
Version
1.1
Why the issue appeared?
Other

Event Timeline

syncer added a subscriber: syncer.Jul 9 2017, 10:42 PM

@NceAirport you should test 1.2.x

Hi,
I tested with the last nightly build ... (Version: VyOS 999.201707042137)

Same result :-(

Pierre

ok, assign a task to me

syncer triaged this task as Low priority.Aug 1 2017, 2:47 AM
syncer added projects: VyOS 1.1.x, VyOS 1.2 Crux.
syncer edited subscribers, added: Maintainers, Active contributors, Community; removed: syncer.

Anyone can confirm this behavior ?

syncer changed the edit policy from "Task Author" to "Custom Policy".Aug 1 2017, 2:49 AM

Move this to 1.2
Will need to check
@NceAirport if you run virtualized router on vmware, make sure that you use VMXNET3 adapter as E1000 have issues with GRE

elico added a subscriber: elico.Aug 21 2017, 4:19 AM

@NceAirport Are you connecting two vyos using a gre or vyos to other vendor?
Do these devices have a public ip address on their interfaces or an internal ip with direct routed link(no nat in the middle)?
How can we try to reproduce the issue?

syncer closed this task as Wontfix.Nov 3 2017, 12:33 PM

no feedback for long time

syncer edited projects, added Rejected; removed VyOS 1.2 Crux.Oct 15 2018, 6:30 AM